.\"
.\" %nmhwarning%
.\"
.TH MH-TAILOR %manext5% "%nmhdate%" MH.6.8 [%nmhversion%]
.SH NAME
mh-tailor, mts.conf \- mail transport customization for nmh message handler
.SH SYNOPSIS
.I %etcdir%/mts.conf
.SH DESCRIPTION
The file
.I %etcdir%/mts.conf
defines run-time options for those
.B nmh
programs which interact (in some form) with the message transport system.
At present, these (user) programs are:
.BR ap ,
.BR conflict ,
.BR inc ,
.BR msgchk ,
.BR msh ,
.BR post ,
.BR rcvdist ,
and
.BR rcvpack .
.PP
Each option should be given on a single line.  Blank lines and lines
which begin with `#' are ignored.  The options available along with
default values and a description of their meanings are listed below:
.PP
.B spost
will send messages by forking a
local copy of
.BR sendmail .
.PP
If you are using POP to retrieve new messages, you may want to set this
value to the name of the POP server, so that outgoing message appear to
have originated on the POP server.
.RE
.PP
This should only be needed, if for some reason
.B nmh
is not able to
fully qualify the hostname returned by the system (e.g. uname,
gethostname, etc.).
.RE
.PP
.BR mmdfldir :
%mailspool%
.RS 5
The directory where maildrops are kept.  If this option is set, but empty,
the user's home directory is used.  This overrides the default value
chosen at the time of compilation.
.RE
.PP
.BR mmdflfil :
.RS 5
The name of the maildrop file in the directory where maildrops are kept.
If this is empty, the user's login name is used.  This overrides the default
value (which is empty).
.RE
.PP
.BR mmdelim1 :
\&\\001\\001\\001\\001\\n
.RS 5
The beginning-of-message delimiter for maildrops.
.RE
.PP
.BR mmdelim2 :
\&\\001\\001\\001\\001\\n
.RS 5
The end-of-message delimiter for maildrops.
.RE
.PP
.BR masquerade:
.RS 5
This directive controls three different types of email address masquerading.
The three possible values, which may be specified in any combination on the
line, separated by spaces, are \*(lqdraft_from\*(rq, \*(lqmmailid\*(rq, and
\*(lqusername_extension\*(rq.
.PP
\*(lqmmailid\*(rq was the only type of masquerading in the original MH package, and
apparently stands for \*(lqmasquerade mail identification\*(rq.  This type of
masquerading keys off of the GECOS field of the passwd file.  When enabled,
.B nmh
will check if the user's pw_gecos field in the passwd file is of the
form:
.PP
.RS 5
Full Name <fakeusername>
.RE
.PP
If it is, the internal
.B nmh
routines that find the username and full name
of that user will return \*(lqfakeusername\*(rq and \*(lqFull Name\*(rq respectively.  This is
useful if you want the messages you send to always appear to come from the name
of an MTA alias rather than your actual account name.  For instance, many
organizations set up \*(lqFirst.Last\*(rq sendmail aliases for all users.  If this is
the case, the GECOS field for each user should look like:
.PP
.RS 5
First [Middle] Last <First.Last>
.RE
.PP
\*(lqusername_extension\*(rq, when specified on the \*(lqmasquerade:\*(rq line, allows a second
type of username masquerading.  If the user sets the
.B $USERNAME_EXTENSION
environment variable, its value will be appended to the actual login name.  For
instance, if I am \*(lqdan@company.com\*(rq, and I set
.B $USERNAME_EXTENSION
to \*(lq\-www\*(rq, my mail will appear to come from \*(lqdan\-www@company.com\*(rq.  This is meant
to interact with qmail's \*(lquser\-extension\*(rq feature, where mail sent to
.IR user \- string
will be delivered to
.IR user .
Likewise, those using
versions of sendmail for which \*(lqplussed user\*(rq processing is active can set
.B $USERNAME_EXTENSION
to \*(lq+\fIstring\fR\*(rq.  These MTA features are useful
because they allow one to use different email addresses in different situations
(to aid in automatic mail filtering or in determining where spammers got one's
address) while only actually having a single account.  Note that
.B $USERNAME_EXTENSION
is only appended to the username when \fIpost\fR is
generating \*(lq[Resent\-]From:\*(rq lines and the SMTP envelope
\*(lqFrom:\*(rq.
.BR inc ,
for instance, will not try to read from a maildrop file called \*(lqdan\-www\*(rq (to
recall the earlier example).
.PP
\*(lqdraft_from\*(rq controls the most powerful type of address masquerading.  Normally,
when a user explicitly specifies a \*(lqFrom:\*(rq header in a draft,
.B nmh
uses it
rather than constructing its own.  However, to discourage email forgery, the
SMTP envelope \*(lqFrom:\*(rq and a \*(lqSender:\*(rq header are set to the user's real address.
When \*(lqdraft_from\*(rq is turned on, though, the envelope \*(lqFrom:\*(rq will use the
address specified in the draft, and there will be no \*(lqSender:\*(rq header.  This is
useful when a user wants to pretend to be sending mail \*(lqdirectly\*(rq from a remote
POP3 account, or when remote mail robots incorrectly use the envelope \*(lqFrom:\*(rq in
preference to the body \*(lqFrom:\*(rq (or refuse to take action when the two don't
match).  Note that the MTA may still reveal the user's real identity (e.g.
.BR sendmail 's
\*(lqX\-Authentication\-Warning:\*(rq header).
.RE
.PP
.BR maildelivery :
%libdir%/maildelivery
.RS 5
The name of the system-wide default
.I maildelivery
file.
See
.BR slocal (1)
for the details.
.RE
.PP
.BR everyone :
200
.RS 5
The highest user-id which should NOT receive mail addressed to
\*(lqeveryone\*(rq.
.RE
.PP
.BR noshell :
.RS 5
If set, then each user-id greater than \*(lqeveryone\*(rq that has a
login shell equivalent to the given value (e.g., \*(lq/bin/csh\*(rq)
indicates that mail for \*(lqeveryone\*(rq should not be sent to them.
This is useful for handling admin, dummy, and guest logins.
.SS "File Locking"
A few words on locking:
.B nmh
has several methods for creating locks
on files.  When configuring
.BR nmh ,
you will need to decide on the
locking style and locking directory (if any).  The first controls the
method of locking, the second says where lock files should be created.
.PP
To configure
.B nmh
for kernel locking, use the \*(lq--with-locking=flock\*(rq configure option if
you want to use the
.B flock
system call; use \*(lq--with-locking=lockf\*(rq if
you want to use the
.B lockf
system call; or use \*(lq--with-locking=fcntl\*(rq
if you want to use the
.B fcntl
system call for kernel-level locking.
.PP
Instead of kernel locking, you can configure
.B nmh
to use dot locking by using \*(lq--with-locking=dot\*(rq.  Dot locking
specifies that
a file should be created whose existence means \*(lqlocked\*(rq and
whose non-existence means \*(lqunlocked\*(rq.  The name of this file is
constructed by appending \*(lq.lock\*(rq to the name of the file being
locked.  If
.B LOCKDIR
is not specified, lock files will be created
in the directory where the file being locked resides.  Otherwise, lock
files will be created in the directory specified by
.BR LOCKDIR .
.PP
Prior to installing
.BR nmh ,
you should see how locking is done at
your site, and set the appropriate values.

.SH FILES
.fc ^ ~
.nf
.ta \w'%etcdir%/ExtraBigFileName  'u
^%etcdir%/mts.conf~^nmh mts configuration file
.fi

.SH "PROFILE COMPONENTS"
None

.SH "SEE ALSO"
mh\-mts(8), post(8)

.SH DEFAULTS
As listed above
